local glass_table = { --name, description, texture  Set img transparency to 15 before Export.
   {'white', 'White', '01'},
   {'grey75', 'Light Grey', '02'},
   {'grey50', 'Grey', '03'},
   {'grey25', 'Dark Grey', '04'},
   {'black', 'Black', '05'}
}

for i in ipairs (glass_table) do
   local name = glass_table[i][1]
   local desc = glass_table[i][2]
   local texture = glass_table[i][3]

   minetest.register_node('glass:'..name..'s', {
      description = desc..' Glass',
      drawtype = 'nodebox',
      node_box = {
         type = 'fixed',
         fixed = {-0.5, -0.5, -0.1, 0.5, 0.5, 0.1}
      },
      tiles = {'blank.png', 'blank.png', 'blank.png', 'blank.png', 'glass-'..texture..'.png', 'glass-'..texture..'.png'},
      inventory_image = 'glass-'..texture..'.png',
      use_texture_alpha = 'blend',
      sunlight_propagates = true,
      paramtype = 'light',
      paramtype2 = 'facedir',
      groups = {breakable=1},
   })

   minetest.register_node('glass:'..name..'d', {
      description = desc..' Glass (Double Height)',
      drawtype = 'nodebox',
      node_box = {
         type = 'fixed',
         fixed = {-0.5, -0.5, -0.1, 0.5, 1.5, 0.1}
      },
      tiles = {'blank.png', 'blank.png', 'blank.png', 'blank.png', 'glass-'..texture..'.png', 'glass-'..texture..'.png'},
      inventory_image = 'glass-'..texture..'.png^glass-x2.png',
      use_texture_alpha = 'blend',
      sunlight_propagates = true,
      paramtype = 'light',
      paramtype2 = 'facedir',
      groups = {breakable=1},
   })
end
